
<?php



include ("../conexion.php");

?>



<?php


$codfactura=$_GET["codfacturatmp"];
$numlinea=$_GET["numlinea"];
$cantidadentrega=$_GET["cantidad"];
$cdgbar=$_GET["cdgbar"];
//$cantidadactual = 0;
$consulta = "SELECT * FROM entregas_clientes_recibos_lineastmp WHERE codfactura='$codfactura' AND codigo='$cdgbar' AND numlinea='$numlinea' ";


       $resultado = $mysqli->query($consulta);
       $row = $resultado->fetch_array();
       $cantidadinicial = $row["cantidad"]; 
	   $cantentrega = $row["cantentrega"];  // cantidad estregado total
	  $cantanterior= $row["cantanterior"]; 
	   $cantsaldo= $row["cantsaldo"];  // cantidad SALDO
//	  2 + 3 = 5 


	//$cantestregados = $cantentregado  +  $cantidadentrega;
	
	//$cantidadentrega = $cantidadentrega+ $cantentrega ; 
	   
	  ?>

	 <?php  
	   
	 if ($cantidadentrega > $cantanterior){	
	 ?>
		<script languaje="javascript">       
      //  parent.document.form_busqueda.cantidad.value="";	
      
        alert("Verifique la Cantidad de Entrega no puede MAYOR que el saldo de la Entrega");
        
        </script>
	 <?php
	 
	 echo "<script>parent.location.href='frame_lineas.php?codfacturatmp=".$codfactura."'</script>";
	 }
	 
	 
	 else{
		 
		 
		 ?>

<?php
$cantidadnueva =  $cantanterior - $cantidadentrega;




$dcto = 0 ;
$consulta = "SELECT * FROM entregas_clientes_recibos_lineastmp WHERE codfactura='$codfactura' AND codigo='$cdgbar' AND numlinea='$numlinea' ";
if ($resultado = $mysqli->query($consulta)) 

 while ($fila = $resultado->fetch_assoc()) {
		

    $dscart = $fila["dscart"];
	$preivi = $fila["preivi"];
	$importe = $fila["importe"];
	$impuesto = $fila["impuesto"];

	

	$importe=$cantidadnueva*$preivi;

	
 	if ($dcto > 0 ){
		
		$mondes=$importe*$dcto/100;
		
		} else {
			
		$mondes=0;	
			}
	
	$subtotal=$cantidadnueva*$preivi;
	
	if ($impuesto >  0 ){
		
				
	$importe=$importe-$mondes;	
	$monto_impuesto=$importe*1.13;
	$impuesto=$monto_impuesto-$importe;
			
			} else {
	$importe=$importe-$mondes;	
	$impuesto=0;
			}
	
}

	$sel_act="UPDATE  entregas_clientes_recibos_lineastmp SET cantentrega='$cantidadentrega', cantsaldo='$cantidadnueva', importe='$subtotal',impuesto='$impuesto'  WHERE codfactura='$codfactura' and codigo='$cdgbar'  AND numlinea='$numlinea'";
	$mysqli->query($sel_act);
	



echo "<script>parent.location.href='frame_lineas.php?codfacturatmp=".$codfactura."'</script>";


	 }
	 
	

?>

<script>


function pon_prefijo(estaentrega) {
	
	//alert(estaentrega);
		parent.opener.document.form_busqueda.estaentrega.value=estaentrega;
	//parent.document.form_busqueda.estaentrega.value=estaentrega;	
	//parent.document.getElementById("cantidad").select();
	
    
}



</script>


